Update a payment schedule item
Updates a payment schedule item by ID.
Note:
- The Payment Schedules feature is in the Early Adopter phase. We are actively soliciting feedback from a small set of early adopters before releasing it as generally available. To manag](https://knowledgecenter.zuora.com/Zuora_Payments/Payments_Settings/Manage_Features).
- This operation is only available if you have Invoice Settlement enabled.
- To link or unlink multiple payments with the item, specify the
linkPaymentsandunlinkPaymentsfield in the request body. - When the Multi-currency and Standalone Payments features are not enabled, you can create and update a payment schedule and payment schedule item in a currency other than the account currency.
- The maximum number of payments that are allowed to be linked to a payment schedule item is
10. - When unlinking and linking payments with the payment schedule item in one request, Zuora will first unlink the linked payments, and then link new payments to the item.
Authentication
Use Bearer {{token}} in the Authorization header for authentication.
Path parameters
Headers
Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.
If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.
Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.
The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').
An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.
The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.
The minor API version.
For a list of available minor versions, see API upgrades.
Request
The currency of the payment.
Note:
-
For custom payments, if Multi-currency is enabled, the payment currency can be different from the account currency for custom payment.
-
For recurring payments, if Multi-currency is enabled, the payment currency can be different from the account currency but should be the same as billing currency for a recurring payment.
Container for the paymentOption items, which describe the transactional level rules for processing payments. Currently, only the Gateway Options type is supported.
Here is an example:
"paymentOption": [
{
"type": "GatewayOptions",
"detail": {
"SecCode":"WEB"
}
}
]
paymentOption of the payment schedule takes precedence over paymentOption of the payment schedule item.
At which hour of the day in the tenant’s timezone this payment will be collected. If the payment runHour and scheduledDate are backdated, the system will collect the payment when the next runHour occurs.
Response headers
This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.
Note that only the following MIME types support gzipped responses:
application/jsonapplication/xmltext/htmltext/csvtext/plain
The request limit quota for the time window closest to exhaustion. See rate limits for more information.
The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.
The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.
The type of the concurrency limit, which can be Default, High-volume transactions, or Object Query.
For more information, see Concurrent request limits.
The total number of the permitted concurrent requests.
For more information, see Concurrent request limits.
The remaining number of the permitted concurrent requests.
For more information, see Concurrent request limits.
Response
ID of the customer account that owns the payment schedule item, for example 402880e741112b310149b7343ef81234.
ID of the payment schedule item. For example, 412880e749b72b310149b7343ef81346.
Container for the paymentOption items, which describe the transactional level rules for processing payments. Currently, only the Gateway Options type is supported.
paymentOption of the payment schedule takes precedence over paymentOption of the payment schedule item.
ID of the payment schedule that contains the payment schedule item, for example, ID402880e749b72b310149b7343ef80005,
Number of the payment schedule that contains the payment schedule item, for example, ID402880e749b72b310149b7343ef80005,
At which hour in the day in the tenant’s timezone this payment will be collected.
ID of the payment method of the payment schedule item.
Pending: Waiting for processing.Processed: The payment has been collected.Error: Failed to collect the payment.Canceled: After a pending payment schedule item is canceled by the user, the item is marked asCanceled.
Returns true if the request was processed successfully.